LocalAdapter
Date: 2013-06-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.gcubedocumentlibrary.streams.adapters
Class LocalAdapter<FROM,TO>

    java.lang.Object
      org.gcube.contentmanagement.gcubedocumentlibrary.streams.adapters.AbstractAdapter<FROM,TO,java.lang.RuntimeException>
          org.gcube.contentmanagement.gcubedocumentlibrary.streams.adapters.LocalAdapter<FROM,TO>

All Implemented Interfaces:
  java.util.Iterator<TO>

    public class LocalAdapter<FROM,TO>

extends AbstractAdapter<FROM,TO,java.lang.RuntimeException>
implements java.util.Iterator<TO>

An `AbstractAdapter` with a standard `Iterator` interface.

Author:
  Fabio Simeoni (University of Strathclyde)

Constructor Summary
`LocalAdapter( rit, Filter<FROM,TO> f, IFaultPolicy<? extends java.lang.RuntimeException> h)` Creates an instance with a `RemoteIterator`, a `Filter`, and a `IFaultPolicy`.

Method Summary
`void` | `remove()`

Methods inherited from class org.gcube.contentmanagement.gcubedocumentlibrary.streams.adapters.AbstractAdapter
`hasNext, inner, next`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Iterator
`hasNext, next`

Constructor Detail

### LocalAdapter

    public LocalAdapter( rit,
                        Filter<FROM,TO> f,
                        IFaultPolicy<? extends java.lang.RuntimeException> h)

  Creates an instance with a `RemoteIterator`, a `Filter`, and a `IFaultPolicy`.

  Parameters:
    `rit` - the iterator.
    `f` - the filter.
    `h` - the fault handler.

Method Detail

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<TO>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD